ru.bitel.oss.kernel.entity.common.bean

## Class EntityAttrDate

- java.lang.Object
- - ru.bitel.oss.kernel.entity.common.bean.EntityAttr
  - - ru.bitel.oss.kernel.entity.common.bean.EntityAttrDate

-     public class EntityAttrDate
      extends EntityAttr

  Атрибут/параметр - дата.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EntityAttrDate()`
    `` | `EntityAttrDate(int entityId, int entitySpecAttrId, java.util.Date date)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()` Возвращает тип параметра - `EntitySpecAttr#TYPE_TEXT`, `EntitySpecAttr#TYPE_LIST`, `EntitySpecAttr#TYPE_EMAIL` и т.д.
    `java.lang.String` | `getTypeName()` Возвращает строковое представление типа параметра, например, "text", "list", "email" и т.д.
    `java.util.Date` | `getValue()`
    `void` | `setValue(java.util.Date date)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.EntityAttr

      `getEntityId, getEntitySpecAttrId, newInstance, setEntityId, setEntitySpecAttrId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityAttrDate

          protected EntityAttrDate()

    - #### EntityAttrDate

          public EntityAttrDate(int entityId,
                                int entitySpecAttrId,
                                java.util.Date date)

  - ### Method Detail

    - #### getType

          public int getType()

      Description copied from class: `EntityAttr`
      Возвращает тип параметра - `EntitySpecAttr#TYPE_TEXT`, `EntitySpecAttr#TYPE_LIST`, `EntitySpecAttr#TYPE_EMAIL` и т.д.
      Specified by:
        `getType` in class `EntityAttr`
      Returns:
      See Also:
        `EntitySpecAttr`

    - #### getTypeName

          public java.lang.String getTypeName()

      Description copied from class: `EntityAttr`
      Возвращает строковое представление типа параметра, например, "text", "list", "email" и т.д.
      Specified by:
        `getTypeName` in class `EntityAttr`
      Returns:

    - #### getValue

          public java.util.Date getValue()

    - #### setValue

          public void setValue(java.util.Date date)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`